#
# spec file for package libretro-3dengine
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-3dengine
Version:        0~git20180406
Release:        bp154.1.27
Summary:        3D Engine libretro core
License:        GPL-3.0
Group:          System/Emulators/Other
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  Mesa-devel

%description
3D Engine for libretro GL with additional features (camera/location/etc).
Should be compatible from libretro 3D/GLES 2.0 and up.

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp 3dengine_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/3dengine_libretro.so

%changelog
* Thu Oct 10 2019 i@guoyunhe.me
- Update to version 0~git20180406:
  * Refactor android jni makefiles
  * Fix android jni compile with clang
  * add travis build script
  * Looks like TR1 is not available for MSVC 2005
  * Updates
  * Update
  * Update
  * Cleanups
  * Revert "Update"
  * Revert "Updates"
* Thu Oct 10 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version
